Upstream information

CVE-2023-4759 at MITRE

Description

Arbitrary File Overwrite in Eclipse JGit <= 6.6.0 In Eclipse JGit, all versions <= 6.6.0.202305301015-r, a symbolic link present in a specially crafted git repository can be used to write a file to locations outside the working tree when this repository is cloned with JGit to a case-insensitive filesystem, or when a checkout from a clone of such a repository is performed on a case-insensitive filesystem. This can happen on checkout (DirCacheCheckout), merge (ResolveMerger via its WorkingTreeUpdater), pull (PullCommand using merge), and when applying a patch (PatchApplier). This can be exploited for remote code execution (RCE), for instance if the file written outside the working tree is a git filter that gets executed on a subsequent git command. The issue occurs only on case-insensitive filesystems, like the default filesystems on Windows and macOS. The user performing the clone or checkout must have the rights to create symbolic links for the problem to occur, and symbolic links must be enabled in the git configuration. Setting git configuration option core.symlinks = false before checking out avoids the problem. The issue was fixed in Eclipse JGit version 6.6.1.202309021850-r and 6.7.0.202309050840-r, available via Maven Central https://repo1.maven.org/maven2/org/eclipse/jgit/ and repo.eclipse.org https://repo.eclipse.org/content/repositories/jgit-releases/ . A backport is available in 5.13.3 starting from 5.13.3.202401111512-r. The JGit maintainers would like to thank RyotaK for finding and reporting this issue.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low High
Privileges Required Low None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1215298 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/manager/5.0/x86_64/server:5.0.0-beta1.2.122
  • jsch >= 0.2.9-150200.11.10.1
SUSE Enterprise Storage 7.1
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-Storage-7.1-2024-57
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2024-57
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • jgit >= 5.11.0-150200.3.15.2
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jgit-5.11.0-150200.5.3.3
SUSE-SLE-Module-Development-Tools-15-SP5-2024-57
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Development Tools 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • jgit >= 5.11.0-150200.3.15.2
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP6 GA eclipse-jgit:jgit-5.11.0-150200.3.20.1
SUSE Linux Enterprise Module for Development Tools 15 SP6 GA jsch-0.2.15-150200.11.13.1
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-57
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2024-57
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-57
SUSE Linux Enterprise Server 15 SP2-LTSS
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-57
SUSE Linux Enterprise Server 15 SP3-LTSS
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-57
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-57
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2024-57
SUSE Manager Server Module 4.3
  • jsch >= 0.2.9-150200.11.10.1
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.3-2024-57
openSUSE Leap 15.4
  • eclipse-jgit >= 5.11.0-150200.3.15.2
  • jgit >= 5.11.0-150200.3.15.2
  • jgit-javadoc >= 5.11.0-150200.3.15.2
  • jsch >= 0.2.9-150200.11.10.1
  • jsch-demo >= 0.2.9-150200.11.10.1
  • jsch-javadoc >= 0.2.9-150200.11.10.1
Patchnames:
openSUSE-SLE-15.4-2024-57
openSUSE Leap 15.5
  • eclipse-jgit >= 5.11.0-150200.3.15.2
  • jsch >= 0.2.9-150200.11.10.1
  • jsch-demo >= 0.2.9-150200.11.10.1
  • jsch-javadoc >= 0.2.9-150200.11.10.1
Patchnames:
openSUSE-SLE-15.5-2024-57
openSUSE Tumbleweed
  • eclipse-jgit >= 5.11.0-9.1
Patchnames:
openSUSE Tumbleweed GA eclipse-jgit-5.11.0-9.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 jgit Affected
SUSE Enterprise Storage 7.1 jsch Released
SUSE Linux Enterprise Desktop 15 SP5 jgit Released
SUSE Linux Enterprise Desktop 15 SP5 jsch Released
SUSE Linux Enterprise Desktop 15 SP6 eclipse-jgit Released
SUSE Linux Enterprise Desktop 15 SP6 eclipse-jgit:jgit Released
SUSE Linux Enterprise Desktop 15 SP6 jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP5 jgit Released
SUSE Linux Enterprise High Performance Computing 15 SP5 jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP6 eclipse-jgit Released
SUSE Linux Enterprise High Performance Computing 15 SP6 eclipse-jgit:jgit Released
SUSE Linux Enterprise High Performance Computing 15 SP6 jsch Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 jgit Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 jsch Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 eclipse-jgit Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 eclipse-jgit:jgit Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 jsch Released
SUSE Linux Enterprise Server 15 SP5 jgit Released
SUSE Linux Enterprise Server 15 SP5 jsch Released
SUSE Linux Enterprise Server 15 SP6 eclipse-jgit Released
SUSE Linux Enterprise Server 15 SP6 eclipse-jgit:jgit Released
SUSE Linux Enterprise Server 15 SP6 jsch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 jgit Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 jsch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 eclipse-jgit Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 eclipse-jgit:jgit Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 jsch Released
SUSE Manager Proxy 4.3 jgit Affected
SUSE Manager Proxy 4.3 jsch Released
SUSE Manager Retail Branch Server 4.3 jgit Affected
SUSE Manager Retail Branch Server 4.3 jsch Released
SUSE Manager Server 4.3 jgit Affected
SUSE Manager Server 4.3 jsch Released
SUSE Manager Server Module 4.3 jsch Released
openSUSE Leap 15.5 eclipse-jgit Released
openSUSE Leap 15.5 jgit Affected
openSUSE Leap 15.6 eclipse-jgit Released
openSUSE Leap 15.6 jgit Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 jgit Affected
SUSE Linux Enterprise Desktop 15 SP4 jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP3 jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP4 jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 jsch Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS jgit Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS jgit Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 jgit Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 jgit Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 jsch Released
SUSE Linux Enterprise Server 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise Server 15 SP2-LTSS jgit Affected
SUSE Linux Enterprise Server 15 SP2-LTSS jsch Released
SUSE Linux Enterprise Server 15 SP3 jgit Affected
SUSE Linux Enterprise Server 15 SP3-LTSS jgit Affected
SUSE Linux Enterprise Server 15 SP3-LTSS jsch Released
SUSE Linux Enterprise Server 15 SP4 jgit Affected
SUSE Linux Enterprise Server 15 SP4 jsch Released
SUSE Linux Enterprise Server 15 SP4-LTSS jgit Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jgit Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jsch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 jgit Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 jsch Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 jgit Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 jsch Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 eclipse-jgit Affected
SUSE Linux Enterprise Desktop 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise Desktop 15 SP3 jgit Affected
SUSE Linux Enterprise Real Time 15 SP2 eclipse-jgit Affected
SUSE Linux Enterprise Real Time 15 SP3 jgit Affected
SUSE Linux Enterprise Real Time 15 SP4 jgit Affected
SUSE Linux Enterprise Server 15 SP2-BCL jgit Affected
SUSE Linux Enterprise Server 15 SP3-BCL jgit Affected
SUSE Manager Proxy 4.1 eclipse-jgit Affected
SUSE Manager Proxy 4.2 jgit Affected
SUSE Manager Retail Branch Server 4.1 eclipse-jgit Affected
SUSE Manager Retail Branch Server 4.2 jgit Affected
SUSE Manager Server 4.1 eclipse-jgit Affected
SUSE Manager Server 4.2 jgit Affected
openSUSE Leap 15.4 eclipse-jgit Released


SUSE Timeline for this CVE

CVE page created: Tue Sep 12 22:01:24 2023
CVE page last modified: Tue Jun 4 15:43:47 2024